Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 990467

Summary: depend on mergetool
Product: [Fedora] Fedora Reporter: Karel Volný <kvolny>
Component: rpmconfAssignee: Miroslav Suchý <msuchy>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 22CC: msuchy, xjakub
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-01 05:12:04 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 990444    
Bug Blocks: 990468    

Description Karel Volný 2013-07-31 05:13:48 EDT
Description of problem:
rpmconf fails if there is no merge backend, so it seems logical to require one ...

setting dependency on bug #990444, as it needs to be supported in the respective packages providing merge backends at first

Version-Release number of selected component (if applicable):
rpmconf-0.3.4-1.fc19.noarch
Comment 1 Miroslav Suchý 2014-11-24 17:48:10 EST
I will leave this open until we will have rich dependencies in rpm.
Comment 2 Fedora End Of Life 2015-01-09 14:11:40 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Lenka Špačková 2015-01-11 08:54:53 EST
I've found this problem in F20.
Comment 4 Jaroslav Reznik 2015-03-03 09:58:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 5 Miroslav Suchý 2015-06-01 05:12:04 EDT
Fixed in upstream in commit
  * 6003b18  use soft deps